Credits | Overview | Plotting Styles | Commands | Terminals
--- | --- | --- | --- | ---

## return

Syntax:

         return <expression>

The return command acts the same way as the exit and quit commands in that it terminates execution of the current code block or input stream. The return value is meaningful only in the context of executing code in a function block. See function blocks.

Example:

         function $myfun << EOF
         local result = 0
         if (error-condition) { return -1 }
         ... body of function ...
         return result
         EOF